Subject: Four Legged Chicken

From: "Bob Thomas" <[email-masked]>
Date: Thu, 23 Oct 2003 15:18:49 GMT

There was once an agricultural salesman who, when driving down a rural road,
noticed a chicken pacing him at about 40 mph.  He sped up to 60 and the
chicken stayed with him.  Then, the chicken sped up and left him in the
dust.

A bit later, the chicken turned into a farm.  The salesman, thinking "This I
gotta see.", followed the chicken.

He pulled up to the farmer who was in the front yard and said, "Man, that's
gotta be the fastest chicken I ever saw".

The farmer replied, "Yep.  I've developed a four legged chicken.  I figured
that, since everybody loves drumsticks, they'd fetch a premium price."

The salesman asked, "How do they taste?

The farmer replied, "I dunno.  I've never been able to catch one."

grin

bob